This version of ownCloud is not compatible with PHP 7.2 You are currently running 7.2.31-1+ubuntu20.04.1+deb.sury.org+1

Today when I use owncloud , I got the information:
This version of ownCloud is not compatible with PHP 7.2
You are currently running 7.2.31-1+ubuntu20.04.1+deb.sury.org+1.

It was working yesterday. What can I do now ?

I found the same problemI like The following links(but I can’t solve it ):
This version of ownCloud is not compatible with PHP 7.3

:~$php -v ##my php verison
PHP 7.2.31-1+ubuntu20.04.1+deb.sury.org+1 (cli) (built: May 14 2020 08:28:17) ( NTS )
Copyright (c) 1997-2018 The PHP Group
Zend Engine v3.2.0, Copyright (c) 1998-2018 Zend Technologies
with Zend OPcache v7.2.31-1+ubuntu20.04.1+deb.sury.org+1, Copyright (c) 1999-2018, by Zend Technologies

1 Like

Hello,

this is from our official documentation:

https://doc.owncloud.com/server/10.7/admin_manual/release_notes.html#php-7-2-deprecation-note

Please upgrade to php 7.3 or 7.4

1 Like

I’m quite sure, there is something you didn’t tell us, right? :wink:

2 Likes

I’ve told everything I know. Maybe I am noob. :slight_smile:

I had done anything that I clould several days ago. And It didn’t run also.(reboot,sever stop,start…)
But today , It 's OK. Then I putty the IP and key : php -a,
php -v
PHP 7.2.24-0ubuntu0.18.04.6 (cli) (built: May 26 2020 13:09:11) ( NTS )
Copyright (c) 1997-2018 The PHP Group

PHP is 7.2.24 still. I haven’t upgrade PHP to 7.3 or 7.4. Now it’s OK. I can’t remember what I did.
Anyway, Thanks a lot .

1 Like